Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class TimeZoneRegistryFactory

    java.lang.Object
      net.fortuna.ical4j.model.TimeZoneRegistryFactory

Direct Known Subclasses:
  DefaultTimeZoneRegistryFactory

    public abstract class TimeZoneRegistryFactory

extends Object

Provides access to the configured `TimeZoneRegistry` instance. Alternative factory implementations may be specified via the following system property:

    net.fortuna.ical4j.timezone.registry=<factory_class_name>

Author:
  Ben Fortuna

Field Summary
`static String` | `KEY_FACTORY_CLASS` The system property used to specify an alternate `TimeZoneRegistryFactory` implementation.

Constructor Summary
`TimeZoneRegistryFactory()`

Method Summary
`abstract TimeZoneRegistry` | `createRegistry()` Returns a new instance of the configured `TimeZoneRegistry`.
`static TimeZoneRegistryFactory` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_FACTORY_CLASS

    public static final String KEY_FACTORY_CLASS

  The system property used to specify an alternate `TimeZoneRegistryFactory` implementation.

  See Also:
    Constant Field Values

Constructor Detail

### TimeZoneRegistryFactory

    public TimeZoneRegistryFactory()

Method Detail

### getInstance

    public static TimeZoneRegistryFactory getInstance()

  Returns:

### createRegistry

    public abstract TimeZoneRegistry createRegistry()

  Returns a new instance of the configured `TimeZoneRegistry`.

  Returns:
    a timezone registry instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.